Class {
	#name : #BaselineOfTiddlyWikiPharo,
	#superclass : #BaselineOf,
	#category : #BaselineOfTiddlyWikiPharo
}

{ #category : #baselines }
BaselineOfTiddlyWikiPharo >> baseline: spec [
	<baseline>
	spec
		for: #common 
		do: [
			"Dependencies"
			spec baseline: 'ZTimestamp' with: [ spec repository: 'github://svenvc/ztimestamp/repository' ].
			self miniDocs: spec.
			"Packages" 
			 spec package: 'TiddlyWiki' with: [ spec requires: #('ZTimestamp' 'MiniDocs') ]
		]
]

{ #category : #accessing }
BaselineOfTiddlyWikiPharo >> miniDocs: spec [ 
	
	| repo |
	repo := ExoRepo new
   		repository: 'https://code.tupale.co/Offray/MiniDocs'.
	repo
		onConflict: [ :ex | ex useLoaded ];
    	onUpgrade: [ :ex | ex useLoaded ];
    	onDowngrade: [ :ex | ex useLoaded ];
    	onWarningLog; 
		load.
	spec baseline: 'MiniDocs' with: [ spec repository: 'gitlocal://', repo local fullName ]
]

{ #category : #accessing }
BaselineOfTiddlyWikiPharo >> projectClass [ 
	^ MetacelloCypressBaselineProject 
]
